// Headers are available because we added the pls target
#include <string>
#include <cstdio>
#include <tuple>

#include <pls/pls.h>
#include <pls/dataflow/graph.h>
#include <pls/dataflow/internal/token.h>

int main() {
  using namespace pls::dataflow;

  graph<inputs<int, int>, outputs<int, int>, 8> graph;
  graph.output<0>().connect(graph.input<0>());
  graph.output<1>().connect(graph.input<1>());

  graph.input<0>().push_token(pls::dataflow::internal::token<int>());
  graph.input<1>().push_token(pls::dataflow::internal::token<int>());
}
